Package fr.gouv.vitam.storage.offers.tape.utils

# Class LocalFileUtils

java.lang.Object
fr.gouv.vitam.storage.offers.tape.utils.LocalFileUtils

public final class LocalFileUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INPUT_TAR_TMP_FOLDER`
  `static final String`
  `TAR_EXTENSION`
  `static final String`
  `TMP_EXTENSION`
  `static final String`
  `ZIP_EXTENSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `archiveFileNamePathToArchiveId(String tarFileName)`
  `static String`
  `archiveFileNameRelativeToInputArchiveStorageFolder(String fileBucket, String archiveId)`
  `static String`
  `createStorageId(String objectName)`
  `static String`
  `createTarEntryName(String containerName, String storageId, int entryIndex)`
  `static String`
  `createTarId(LocalDateTime now)`
  `static Path`
  `fileBuckedInputFilePath(String inputTarStorageFolder, String fileBucketId)`
  `static String`
  `getContainerNameFromTarEntryName(String tarEntryName)`
  `static String`
  `getCreationDateFromArchiveId(String archiveId)`
  `static int`
  `getEntryIndexFromTarEntryName(String tarEntryName)`
  `static String`
  `getStorageIdFromTarEntryName(String tarEntryName)`
  `static String`
  `storageIdToObjectName(String storageId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAR_EXTENSION

    public static final String TAR_EXTENSION
    See Also:
      - Constant Field Values

  - ### ZIP_EXTENSION

    public static final String ZIP_EXTENSION
    See Also:
      - Constant Field Values

  - ### TMP_EXTENSION

    public static final String TMP_EXTENSION
    See Also:
      - Constant Field Values

  - ### INPUT_TAR_TMP_FOLDER

    public static final String INPUT_TAR_TMP_FOLDER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createStorageId

    public static String createStorageId(String objectName)

  - ### storageIdToObjectName

    public static String storageIdToObjectName(String storageId)

  - ### createTarEntryName

    public static String createTarEntryName(String containerName, String storageId, int entryIndex)

  - ### getContainerNameFromTarEntryName

    public static String getContainerNameFromTarEntryName(String tarEntryName)

  - ### getStorageIdFromTarEntryName

    public static String getStorageIdFromTarEntryName(String tarEntryName)

  - ### getEntryIndexFromTarEntryName

    public static int getEntryIndexFromTarEntryName(String tarEntryName)

  - ### createTarId

    public static String createTarId(LocalDateTime now)

  - ### archiveFileNameRelativeToInputArchiveStorageFolder

    public static String archiveFileNameRelativeToInputArchiveStorageFolder(String fileBucket, String archiveId)

  - ### getCreationDateFromArchiveId

    public static String getCreationDateFromArchiveId(String archiveId)

  - ### archiveFileNamePathToArchiveId

    public static String archiveFileNamePathToArchiveId(String tarFileName)

  - ### fileBuckedInputFilePath

    public static Path fileBuckedInputFilePath(String inputTarStorageFolder, String fileBucketId)